From 5b1567448f0dee79999e9c20624cb75ba2b759a8 Mon Sep 17 00:00:00 2001
From: Ralph Bean <rbean@redhat.com>
Date: Jun 07 2015 19:50:24 +0000
Subject: [PATCH 88/1001] Merge pull request #13 from decause/newstuff


Newstuff
---

diff --git a/hubs/defaults.py b/hubs/defaults.py
index cae90a0..da41b82 100644
--- a/hubs/defaults.py
+++ b/hubs/defaults.py
@@ -8,10 +8,18 @@ def add_user_widgets(session, hub, username, fullname):
     widget = hubs.models.Widget(
         plugin='sticky', index=0, left=True,
         _config=json.dumps({
-            'text': 'TODO -- put a fancy graph here..',
+            'text': 'TODO -- Put a fancy graph here...',
         }))
     hub.widgets.append(widget)
     widget = hubs.models.Widget(
+        plugin='fedmsgs', index=1, left=True,
+        _config=json.dumps({
+            'username': username,
+        }))
+    hub.widgets.append(widget)
+
+    # Right Side Widgets
+    widget = hubs.models.Widget(
         plugin='avatar', index=0,
         _config=json.dumps({
             'username': username,
diff --git a/hubs/widgets/__init__.py b/hubs/widgets/__init__.py
index 51ed1b1..2bb8570 100644
--- a/hubs/widgets/__init__.py
+++ b/hubs/widgets/__init__.py
@@ -5,6 +5,7 @@ from hubs.widgets import sticky
 from hubs.widgets import about
 from hubs.widgets import avatar
 from hubs.widgets import badges
+from hubs.widgets import fedmsgs
 
 from hubs.widgets.workflow import pendingacls
 
@@ -18,7 +19,7 @@ registry = {
     'about': about,
     'avatar': avatar,
     'badges': badges,
-
+    'fedmsgs': fedmsgs,
     'workflow.pendingacls': pendingacls,
 }
 
diff --git a/hubs/widgets/fedmsgs.py b/hubs/widgets/fedmsgs.py
new file mode 100644
index 0000000..ae07a7d
--- /dev/null
+++ b/hubs/widgets/fedmsgs.py
@@ -0,0 +1,32 @@
+from hubs.widgets.base import argument
+
+import jinja2
+
+
+import hubs.validators as validators
+
+
+template = jinja2.Template("""
+<div class="flex-container">
+
+    <img src="{{url}}" />
+
+</div>
+""")
+
+from hubs.widgets.chrome import panel
+chrome = panel("Daily Activity")
+
+
+@argument(name="username",
+          default=None,
+          validator=validators.username,
+          help="A FAS username.")
+def data(session, widget, username):
+    url = "https://apps.fedoraproject.org/datagrepper/charts/line?delta=86400&N=12&style=clean&height=200&fill=true&user={username}"
+    url = url.format(username=username)
+    return dict(url=url)
+
+
+def should_invalidate(message, session, widget):
+    raise NotImplementedError

